This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 527520 - post-install lxde system boots in text mode
post-install lxde system boots in text mode
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On: 485789
Blocks: LXDE F12Blocker/F12FinalBlocker
  Show dependency treegraph
 
Reported: 2009-10-06 14:48 EDT by Brock Organ
Modified: 2013-01-10 00:31 EST (History)
6 users (show)

See Also:
Fixed In Version: anaconda-13.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-26 23:05:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.log of LXDE Spin install (52.87 KB, text/plain)
2009-10-20 10:30 EDT, Christoph Wickert
no flags Details

  None (edit)
Description Brock Organ 2009-10-06 14:48:12 EDT
* testing using F12/qemu virtual machine
* nightly livecd compose
* lxde-i386-20091005.20.iso

after installation using the liveinst installer, the post-install system does not boot into a graphical mode/gdm/xdm login screen, it starts instead in text mode  ( /etc/inittab has entry for run level three, should it be level 5?) ... as a workaround, the user can login and type "startx" to start the desktop environment ...
Comment 1 Christoph Wickert 2009-10-06 19:51:46 EDT
This is supposed to be fixed long ago. If not, it's a bug in anaconda or slim, see bug #485789. Both are not my packages, but I will take this bug for now for further investigation. Thanks for your report.
Comment 2 Christoph Wickert 2009-10-20 09:36:12 EDT
Tested and confirmed. slim correctly Provides: service(graphical-login) so the bug must be in anaconda. Were the changes from but 485789 accidentially reverted or have they never worked out?

This is really important for the LXDE Spin, so we need this to be fixed for F12.
Comment 3 Chris Lumens 2009-10-20 09:44:46 EDT
Please attach all the typical anaconda logs to this bug report so I can see what's going on.
Comment 4 Christoph Wickert 2009-10-20 10:30:04 EDT
Created attachment 365359 [details]
anaconda.log of LXDE Spin install

Installation of  lxde-i386-20091017.20.iso from
http://alt.fedoraproject.org/pub/alt/nightly-composes/lxde/
Comment 5 Chris Lumens 2009-10-20 17:01:43 EDT
This will be fixed in the next build of anaconda for rawhide.  If you require this fix in F12, please make this bug a blocker so it can be discussed in the usual meetings.  Only after that will I commit this to the f12-branch.
Comment 6 Christoph Wickert 2009-10-20 18:38:23 EDT
Thanks a lot Chris. I really need this fix, so I'm blocking bug #473303 now.
Comment 7 Denise Dumas 2009-10-21 12:26:47 EDT
Chris, officially a blocker - please add your fix to f12
Comment 8 Adam Williamson 2009-10-21 12:29:30 EDT
Discussed at the blocker review meeting today. We endorse this bug's status as a blocker and request the fix be included in F12.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Chris Lumens 2009-10-21 13:13:37 EDT
Committed to f12-branch, will be fixed in anaconda-12.39-1.
Comment 10 Adam Williamson 2009-10-23 14:20:05 EDT
christoph, can we rely on you to test and confirm the fix once anaconda 12.39 is tagged (should be today hopefully) and an LXDE nightly spin comes out with this anaconda?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Christoph Wickert 2009-10-23 15:37:42 EDT
Of course., I'm looking wishfully for the nightly and will report back after testing
Comment 12 Christoph Wickert 2009-10-23 15:38:37 EDT
Setting the NEEDINFO flag so this doesn't get lost.
Comment 13 Christoph Wickert 2009-10-26 23:05:47 EDT
Tested to be fixed. Thanks!

Note You need to log in before you can comment on or make changes to this bug.